gio Constants
Prev | PyGio Class Reference | Next

## gio Constants

gio Constants — the built-in constants of the gio module

## Synopsis

    Gio AppInfo Create Flags Constants
    Gio Ask Password Flags Constants
    Gio Data Stream Byte Order Constants
    Gio Data Stream Newline Type Constants
    Gio Emblem Origin Constants
    Gio Error Constants
    Gio File Attribute Constants
    Gio File Attribute Type Constants
    Gio File Attribute Flags Constants
    Gio File Create Flags Constants
    Gio File Copy Flags Constants
    Gio File Monitor Flags Constants
    Gio File Query Info Flags Constants
    Gio File Type Constants
    Gio Mount Mount Flags Constants
    Gio Mount Operation Result Constants
    Gio Mount Unmount Flags Constants
    Gio Password Save Constants

## Description

### Gio Ask Password Flags Constants

Flags that are used to request specific information from the user, or to notify the user of their choices in an authentication situation.

`gio.ASK_PASSWORD_ANONYMOUS_SUPPORTED` | operation supports anonymous users.
`gio.ASK_PASSWORD_NEED_DOMAIN` | operation requires a domain.
`gio.ASK_PASSWORD_NEED_PASSWORD` | operation requires a password.
`gio.ASK_PASSWORD_NEED_USERNAME` | operation requires a username.
`gio.ASK_PASSWORD_SAVING_SUPPORTED` | operation supports saving settings.

### Gio AppInfo Create Flags Constants

Flags used when creating a `gio.AppInfo`

`gio.APP_INFO_CREATE_NONE` | No flags.
`gio.APP_INFO_CREATE_NEEDS_TERMINAL` | Application opens in a terminal window.
`gio.APP_INFO_CREATE_SUPPORTS_URIS` | Application supports URI arguments.

### Gio Data Stream Byte Order Constants

Used to ensure proper endianness of streaming data sources across various machine architectures.

`gio.DATA_STREAM_BYTE_ORDER_BIG_ENDIAN` | Selects Big Endian byte order.
`gio.DATA_STREAM_BYTE_ORDER_HOST_ENDIAN` | Selects endianness based on host machine's architecture.
`gio.DATA_STREAM_BYTE_ORDER_LITTLE_ENDIAN` | Selects Little Endian byte order.

### Gio Data Stream Newline Type Constants

Used when checking for or setting the line endings for a given file.

`gio.DATA_STREAM_NEWLINE_TYPE_LF` | Selects "LF" line endings, common on most modern UNIX platforms.
`gio.DATA_STREAM_NEWLINE_TYPE_CR` | Selects "CR" line endings.
`gio.DATA_STREAM_NEWLINE_TYPE_CR_LF` | Selects "CR, LF" line ending, common on Microsoft Windows.
`gio.DATA_STREAM_NEWLINE_TYPE_ANY` | Automatically try to handle any line ending type.

### Gio Emblem Origin Constants

GEmblemOrigin is used to add information about the origin of the emblem to GEmblem.

`gio.EMBLEM_ORIGIN_DEVICE` | Embleme adds device-specific information.
`gio.EMBLEM_ORIGIN_LIVEMETADATA` | Emblem depicts live metadata, such as "readonly".
`gio.EMBLEM_ORIGIN_TAG` | Emblem comes from a user-defined tag, e.g. set by nautilus (in the future).
`gio.EMBLEM_ORIGIN_UNKNOWN` | Emblem of unknown origin.

### Gio Error Constants

GIOError Error codes returned by GIO functions.

`gio.ERROR_ALREADY_MOUNTED` | File is already mounted.
`gio.ERROR_BUSY` | File is busy.
`gio.ERROR_CANCELLED` | Operation was cancelled. See `gio.Cancellable`.
`gio.ERROR_CANT_CREATE_BACKUP` | Backup couldn't be created.
`gio.ERROR_CLOSED` | File was closed.
`gio.ERROR_EXISTS` | File already exists error.
`gio.ERROR_FAILED` | Generic error condition for when any operation fails.
`gio.ERROR_FAILED_HANDLED` | Operation failed and a helper program has already interacted with the user. Do not display any error dialog.
`gio.ERROR_FILENAME_TOO_LONG` | Filename is too many characters.
`gio.ERROR_HOST_NOT_FOUND` | Host couldn't be found (remote operations).
`gio.ERROR_INVALID_ARGUMENT` | Invalid argument.
`gio.ERROR_INVALID_FILENAME` | Filename is invalid or contains invalid characters.
`gio.ERROR_IS_DIRECTORY` | File is a directory error.
`gio.ERROR_NOT_DIRECTORY` | File is not a directory.
`gio.ERROR_NOT_EMPTY` | File is a directory that isn't empty.
`gio.ERROR_NOT_FOUND` | File not found error.
`gio.ERROR_NOT_MOUNTABLE_FILE` | File cannot be mounted.
`gio.ERROR_NOT_MOUNTED` | File isn't mounted.
`gio.ERROR_NOT_REGULAR_FILE` | File is not a regular file.
`gio.ERROR_NOT_SUPPORTED` | Operation not supported for the current backend.
`gio.ERROR_NOT_SYMBOLIC_LINK` | File is not a symbolic link.
`gio.ERROR_NO_SPACE` | No space left on drive.
`gio.ERROR_PENDING` | Operations are still pending.
`gio.ERROR_PERMISSION_DENIED` | Permission denied.
`gio.ERROR_READ_ONLY` | File is read only.
`gio.ERROR_TIMED_OUT` | Operation timed out.
`gio.ERROR_TOO_MANY_LINKS` | File contains too many symbolic links.
`gio.ERROR_TOO_MANY_OPEN_FILES` | The current process has too many files open and can't open any more. Duplicate descriptors do count toward this limit. Since 2.20
`gio.ERROR_WOULD_BLOCK` | Operation would block.
`gio.ERROR_WOULD_MERGE` | Operation would merge files.
`gio.ERROR_WOULD_RECURSE` | Operation would be recursive.
`gio.ERROR_WRONG_ETAG` | File's Entity Tag was incorrect.

### Gio File Attribute Constants

The file attributes.

`gio.FILE_ATTRIBUTE_STANDARD_TYPE` | "standard::type" A key in the "standard" namespace for storing file types. Corresponding Gio File Attribute Type Constants is gio.FILE_ATTRIBUTE_TYPE_UINT32. The value for this key should contain a Gio File Type Constants
`gio.FILE_ATTRIBUTE_STANDARD_IS_HIDDEN` | "standard::is-hidden" A key in the "standard" namespace for checking if a file is hidden. Corresponding Gio File Attribute Type Constants is gio.FILE_ATTRIBUTE_TYPE_BOOLEAN.
`gio.FILE_ATTRIBUTE_STANDARD_IS_BACKUP` | "standard::is-backup" A key in the "standard" namespace for checking if a file is a backup file. Corresponding Gio File Attribute Type Constants is gio.FILE_ATTRIBUTE_TYPE_BOOLEAN.
`gio.FILE_ATTRIBUTE_STANDARD_IS_SYMLINK` | "standard::is-symlink" A key in the "standard" namespace for checking if the file is a symlink. Typically the actual type is something else, if we followed the symlink to get the type. Corresponding Gio File Attribute Type Constants is gio.FILE_ATTRIBUTE_TYPE_BOOLEAN.
`gio.FILE_ATTRIBUTE_STANDARD_IS_VIRTUAL` | "standard::is-virtual" A key in the "standard" namespace for checking if a file is virtual. Corresponding Gio File Attribute Type Constants is gio.FILE_ATTRIBUTE_TYPE_BOOLEAN.
`gio.FILE_ATTRIBUTE_STANDARD_NAME` | "standard::name" A key in the "standard" namespace for getting the name of the file. The name is the on-disk filename which may not be in any known encoding, and can thus not be generally displayed as is. Use gio.FILE_ATTRIBUTE_STANDARD_DISPLAY_NAME if you need to display the name in a user interface. Corresponding GFileAttributeType is gio.FILE_ATTRIBUTE_TYPE_BYTE_STRING.
`gio.FILE_ATTRIBUTE_STANDARD_DISPLAY_NAME` | "standard::display-name" A key in the "standard" namespace for getting the display name of the file. A display name is guaranteed to be in UTF8 and can thus be displayed in the UI. Corresponding Gio File Attribute Type Constants is gio.FILE_ATTRIBUTE_TYPE_STRING.
`gio.FILE_ATTRIBUTE_STANDARD_EDIT_NAME` | "standard::edit-name" A key in the "standard" namespace for edit name of the file. An edit name is similar to the display name, but it is meant to be used when you want to rename the file in the UI. The display name might contain information you don't want in the new filename (such as "(invalid unicode)" if the filename was in an invalid encoding). Corresponding Gio File Attribute Type Constants is gio.FILE_ATTRIBUTE_TYPE_STRING.
`gio.FILE_ATTRIBUTE_STANDARD_COPY_NAME` | "standard::copy-name" A key in the "standard" namespace for getting the copy name of the file. The copy name is an optional version of the name. If available it's always in UTF8, and corresponds directly to the original filename (only transcoded to UTF8). This is useful if you want to copy the file to another filesystem that might have a different encoding. If the filename is not a valid string in the encoding selected for the filesystem it is in then the copy name will not be set. Corresponding Gio File Attribute Type Constants is gio.FILE_ATTRIBUTE_TYPE_STRING.
`gio.FILE_ATTRIBUTE_STANDARD_ICON` | "standard::icon" A key in the "standard" namespace for getting the icon for the file. Corresponding Gio File Attribute Type Constants is gio.FILE_ATTRIBUTE_TYPE_OBJECT. The value for this key should contain a `gio.Icon`.
`gio.FILE_ATTRIBUTE_STANDARD_CONTENT_TYPE` | "standard::content-type" A key in the "standard" namespace for getting the content type of the file. Corresponding Gio File Attribute Type Constants is gio.FILE_ATTRIBUTE_TYPE_STRING. The value for this key should contain a valid content type.
`gio.FILE_ATTRIBUTE_STANDARD_FAST_CONTENT_TYPE` | "standard::fast-content-type" A key in the "standard" namespace for getting the fast content type. The fast content type isn't as reliable as the regular one, as it only uses the filename to guess it, but it is faster to calculate than the regular content type. Corresponding Gio File Attribute Type Constants is gio.FILE_ATTRIBUTE_TYPE_STRING.
`gio.FILE_ATTRIBUTE_STANDARD_SIZE` | "standard::size" A key in the "standard" namespace for getting the file's size (in bytes). Corresponding Gio File Attribute Type Constants is gio.FILE_ATTRIBUTE_TYPE_UINT64.
`gio.FILE_ATTRIBUTE_STANDARD_SYMLINK_TARGET` | "standard::symlink-target" A key in the "standard" namespace for getting the target URI for the file, in the case of gio.FILE_TYPE_SHORTCUT or gio.FILE_TYPE_MOUNTABLE files. Corresponding Gio File Attribute Type Constants is G_FILE_ATTRIBUTE_TYPE_STRING.
`gio.FILE_ATTRIBUTE_STANDARD_SORT_ORDER` | "standard::sort-order" A key in the "standard" namespace for setting the sort order of a file. Corresponding Gio File Attribute Type Constants is gio.FILE_ATTRIBUTE_TYPE_INT32. An example use would be in file managers, which would use this key to set the order files are displayed. Files with smaller sort order should be sorted first, and files without sort order as if sort order was zero.
`gio.FILE_ATTRIBUTE_ETAG_VALUE` | "etag::value" A key in the "etag" namespace for getting the value of the file's entity tag. Corresponding Gio File Attribute Type Constants is gio.FILE_ATTRIBUTE_TYPE_STRING.
`gio.FILE_ATTRIBUTE_ID_FILE` | "id::file" A key in the "id" namespace for getting a file identifier. Corresponding Gio File Attribute Type Constants is gio.FILE_ATTRIBUTE_TYPE_STRING. An example use would be during listing files, to avoid recursive directory scanning.
`gio.FILE_ATTRIBUTE_ID_FILESYSTEM` | "id::filesystem" A key in the "id" namespace for getting the file system identifier. Corresponding Gio File Attribute Type Constants is gio.FILE_ATTRIBUTE_TYPE_STRING. An example use would be during drag and drop to see if the source and target are on the same filesystem (default to move) or not (default to copy).
`gio.FILE_ATTRIBUTE_ACCESS_CAN_READ` | "access::can-read" A key in the "access" namespace for getting read privileges. Corresponding Gio File Attribute Type Constants is G_FILE_ATTRIBUTE_TYPE_BOOLEAN. This attribute will be `True` if the user is able to read the file.
`gio.FILE_ATTRIBUTE_ACCESS_CAN_WRITE` | "access::can-write" A key in the "access" namespace for getting write privileges.Corresponding Gio File Attribute Type Constants is gio.FILE_ATTRIBUTE_TYPE_BOOLEAN. This attribute will be `True` if the user is able to write to the file.
`gio.FILE_ATTRIBUTE_ACCESS_CAN_EXECUTE` | "access::can-execute" A key in the "access" namespace for getting execution privileges. Corresponding Gio File Attribute Type Constants is gio.FILE_ATTRIBUTE_TYPE_BOOLEAN. This attribute will be `True` if the user is able to execute the file.
`gio.FILE_ATTRIBUTE_ACCESS_CAN_DELETE` | "access::can-delete" A key in the "access" namespace for checking deletion privileges. Corresponding Gio File Attribute Type Constants is gio.FILE_ATTRIBUTE_TYPE_BOOLEAN. This attribute will be `True` if the user is able to delete the file.
`gio.FILE_ATTRIBUTE_ACCESS_CAN_TRASH` | "access::can-trash" A key in the "access" namespace for checking trashing privileges. Corresponding Gio File Attribute Type Constants is gio.FILE_ATTRIBUTE_TYPE_BOOLEAN. This attribute will be `True` if the user is able to move the file to the trash.
`gio.FILE_ATTRIBUTE_ACCESS_CAN_RENAME` | "access::can-rename" A key in the "access" namespace for checking renaming privileges. Corresponding Gio File Attribute Type Constants is G_FILE_ATTRIBUTE_TYPE_BOOLEAN. This attribute will be `True` if the user is able to rename the file.
`gio.FILE_ATTRIBUTE_MOUNTABLE_CAN_MOUNT` | "mountable::can-mount" A key in the "mountable" namespace for checking if a file (of type G_FILE_TYPE_MOUNTABLE) is mountable. Corresponding Gio File Attribute Type Constants is gio.FILE_ATTRIBUTE_TYPE_BOOLEAN.
`gio.FILE_ATTRIBUTE_MOUNTABLE_CAN_UNMOUNT` | "mountable::can-unmount" A key in the "mountable" namespace for checking if a file (of type G_FILE_TYPE_MOUNTABLE) is unmountable. Corresponding Gio File Attribute Type Constants is gio.FILE_ATTRIBUTE_TYPE_BOOLEAN.
`gio.FILE_ATTRIBUTE_MOUNTABLE_CAN_EJECT` | "mountable::can-eject" A key in the "mountable" namespace for checking if a file (of type G_FILE_TYPE_MOUNTABLE) can be ejected. Corresponding Gio File Attribute Type Constants is gio.FILE_ATTRIBUTE_TYPE_BOOLEAN.
`gio.FILE_ATTRIBUTE_MOUNTABLE_UNIX_DEVICE` | "mountable::unix-device" A key in the "mountable" namespace for getting the unix device. Corresponding Gio File Attribute Type Constants is gio.FILE_ATTRIBUTE_TYPE_UINT32.
`gio.FILE_ATTRIBUTE_MOUNTABLE_HAL_UDI` | "mountable::hal-udi" A key in the "mountable" namespace for getting the HAL UDI for the mountable file. Corresponding Gio File Attribute Type Constants is gio.FILE_ATTRIBUTE_TYPE_STRING.
`gio.FILE_ATTRIBUTE_TIME_MODIFIED` | "time::modified" A key in the "time" namespace for getting the time the file was last modified. Corresponding Gio File Attribute Type Constants is gio.FILE_ATTRIBUTE_TYPE_UINT64, and contains the UNIX time since the file was modified.
`gio.FILE_ATTRIBUTE_TIME_MODIFIED_USEC` | "time::modified-usec" A key in the "time" namespace for getting the miliseconds of the time the file was last modified. This should be used in conjunction with G_FILE_ATTRIBUTE_TIME_MODIFIED. Corresponding Gio File Attribute Type Constants is G_FILE_ATTRIBUTE_TYPE_UINT32.
`gio.FILE_ATTRIBUTE_TIME_ACCESS` | "time::access" A key in the "time" namespace for getting the time the file was last accessed. Corresponding Gio File Attribute Type Constants is gio.FILE_ATTRIBUTE_TYPE_UINT64, and contains the UNIX time since the file was last accessed.
`gio.FILE_ATTRIBUTE_TIME_ACCESS_USEC` | "time::access-usec" A key in the "time" namespace for getting the microseconds of the time the file was last accessed. This should be used in conjunction with G_FILE_ATTRIBUTE_TIME_ACCESS. Corresponding Gio File Attribute Type Constants is gio.FILE_ATTRIBUTE_TYPE_UINT32.
`gio.FILE_ATTRIBUTE_TIME_CHANGED` | "time::changed" A key in the "time" namespace for getting the time the file was last changed. Corresponding Gio File Attribute Type Constants is gio.FILE_ATTRIBUTE_TYPE_UINT64, and contains the UNIX time since the file was last changed. This corresponds to the traditional UNIX ctime.
`gio.FILE_ATTRIBUTE_TIME_CHANGED_USEC` | "time::changed-usec" A key in the "time" namespace for getting the microseconds of the time the file was last changed. This should be used in conjunction with G_FILE_ATTRIBUTE_TIME_CHANGED. Corresponding Gio File Attribute Type Constants is gio.FILE_ATTRIBUTE_TYPE_UINT32.
`gio.FILE_ATTRIBUTE_TIME_CREATED` | "time::created" A key in the "time" namespace for getting the time the file was created. Corresponding Gio File Attribute Type Constants is gio.FILE_ATTRIBUTE_TYPE_UINT64, and contains the UNIX time since the file was created. This corresponds to the NTFS ctime.
`gio.FILE_ATTRIBUTE_TIME_CREATED_USEC` | "time::created-usec" A key in the "time" namespace for getting the microseconds of the time the file was created. This should be used in conjunction with G_FILE_ATTRIBUTE_TIME_CREATED. Corresponding Gio File Attribute Type Constants is gio.FILE_ATTRIBUTE_TYPE_UINT32.
`gio.FILE_ATTRIBUTE_UNIX_DEVICE` | "unix::device" A key in the "unix" namespace for getting the device id of the device the file is located on (see stat() documentation). This attribute is only available for UNIX file systems. Corresponding Gio File Attribute Type Constants is gio.FILE_ATTRIBUTE_TYPE_UINT32.
`gio.FILE_ATTRIBUTE_UNIX_INODE` | "unix::inode" A key in the "unix" namespace for getting the inode of the file. This attribute is only available for UNIX file systems. Corresponding Gio File Attribute Type Constants is G_FILE_ATTRIBUTE_TYPE_UINT64.
`gio.FILE_ATTRIBUTE_UNIX_MODE` | "unix::mode" A key in the "unix" namespace for getting the mode of the file (e.g. whether the file is a regular file, symlink, etc). See lstat() documentation. This attribute is only available for UNIX file systems. Corresponding Gio File Attribute Type Constants is gio.FILE_ATTRIBUTE_TYPE_UINT32.
`gio.FILE_ATTRIBUTE_UNIX_NLINK` | "unix::nlink" A key in the "unix" namespace for getting the number of hard links for a file. See lstat() documentation. This attribute is only available for UNIX file systems. Corresponding Gio File Attribute Type Constants is gio.FILE_ATTRIBUTE_TYPE_UINT32.
`gio.FILE_ATTRIBUTE_UNIX_UID` | "unix::uid" A key in the "unix" namespace for getting the user ID for the file. This attribute is only available for UNIX file systems. Corresponding Gio File Attribute Type Constants is gio.FILE_ATTRIBUTE_TYPE_UINT32.
`gio.FILE_ATTRIBUTE_UNIX_GID` | "unix::gid" A key in the "unix" namespace for getting the group ID for the file. This attribute is only available for UNIX file systems. Corresponding Gio File Attribute Type Constants is gio.FILE_ATTRIBUTE_TYPE_UINT32.
`gio.FILE_ATTRIBUTE_UNIX_RDEV` | "unix::rdev" A key in the "unix" namespace for getting the device ID for the file (if it is a special file). See lstat() documentation. This attribute is only available for UNIX file systems. Corresponding Gio File Attribute Type Constants is gio.FILE_ATTRIBUTE_TYPE_UINT32.
`gio.FILE_ATTRIBUTE_UNIX_BLOCK_SIZE` | "unix::block-size" A key in the "unix" namespace for getting the block size for the file system. This attribute is only available for UNIX file systems. Corresponding Gio File Attribute Type Constants is gio.FILE_ATTRIBUTE_TYPE_UINT32.
`gio.FILE_ATTRIBUTE_UNIX_BLOCKS` | "unix::blocks" A key in the "unix" namespace for getting the number of blocks allocated for the file. This attribute is only available for UNIX file systems. Corresponding Gio File Attribute Type Constants is G_FILE_ATTRIBUTE_TYPE_UINT64.
`gio.FILE_ATTRIBUTE_UNIX_IS_MOUNTPOINT` | "unix::is-mountpoint" A key in the "unix" namespace for checking if the file represents a UNIX mount point. This attribute is `True` if the file is a UNIX mount point. This attribute is only available for UNIX file systems. Corresponding GFileAttributeType is gio.FILE_ATTRIBUTE_TYPE_BOOLEAN.
`gio.FILE_ATTRIBUTE_DOS_IS_ARCHIVE` | "dos::is-archive" A key in the "dos" namespace for checking if the file's archive flag is set. This attribute is `True` if the archive flag is set. This attribute is only available for DOS file systems. Corresponding Gio File Attribute Type Constants is G_FILE_ATTRIBUTE_TYPE_BOOLEAN.
`gio.FILE_ATTRIBUTE_DOS_IS_SYSTEM` | "dos::is-system" A key in the "dos" namespace for checking if the file's backup flag is set. This attribute is `True` if the backup flag is set. This attribute is only available for DOS file systems. Corresponding Gio File Attribute Type Constants is G_FILE_ATTRIBUTE_TYPE_BOOLEAN.
`gio.FILE_ATTRIBUTE_OWNER_USER` | "owner::user" A key in the "owner" namespace for getting the user name of the file's owner. Corresponding Gio File Attribute Type Constants is G_FILE_ATTRIBUTE_TYPE_STRING.
`gio.FILE_ATTRIBUTE_OWNER_USER_REAL` | "owner::user-real" A key in the "owner" namespace for getting the real name of the user that owns the file. Corresponding Gio File Attribute Type Constants is G_FILE_ATTRIBUTE_TYPE_STRING.
`gio.FILE_ATTRIBUTE_OWNER_GROUP` | "owner::group" A key in the "owner" namespace for getting the file owner's group. Corresponding Gio File Attribute Type Constants is G_FILE_ATTRIBUTE_TYPE_STRING.
`gio.FILE_ATTRIBUTE_THUMBNAIL_PATH` | "thumbnail::path" A key in the "thumbnail" namespace for getting the path to the thumbnail image. Corresponding Gio File Attribute Type Constants is G_FILE_ATTRIBUTE_TYPE_BYTE_STRING.
`gio.FILE_ATTRIBUTE_THUMBNAILING_FAILED` | "thumbnail::failed" A key in the "thumbnail" namespace for checking if thumbnailing failed. This attribute is `True` if thumbnailing failed. Corresponding Gio File Attribute Type Constants is G_FILE_ATTRIBUTE_TYPE_BOOLEAN.
`gio.FILE_ATTRIBUTE_PREVIEW_ICON` | "preview::icon" A key in the "preview" namespace for getting a `gio.Icon` that can be used to get preview of the file. For example, it may be a low resolution thumbnail without metadata. Corresponding Gio File Attribute Type Constants is G_FILE_ATTRIBUTE_TYPE_OBJECT. The value for this key should contain a GIcon.
`gio.FILE_ATTRIBUTE_FILESYSTEM_SIZE` | "filesystem::size" A key in the "filesystem" namespace for getting the total size (in bytes) of the file system, used in `query_filesystem_info`(). Corresponding Gio File Attribute Type Constants is G_FILE_ATTRIBUTE_TYPE_UINT64.
`gio.FILE_ATTRIBUTE_FILESYSTEM_FREE` | "filesystem::free" A key in the "filesystem" namespace for getting the number of bytes of free space left on the file system. Corresponding Gio File Attribute Type Constants is G_FILE_ATTRIBUTE_TYPE_UINT64.
`gio.FILE_ATTRIBUTE_FILESYSTEM_TYPE` | "filesystem::type" A key in the "filesystem" namespace for getting the file system's type. Corresponding Gio File Attribute Type Constants is G_FILE_ATTRIBUTE_TYPE_STRING.
`gio.FILE_ATTRIBUTE_FILESYSTEM_READONLY` | "filesystem::readonly" A key in the "filesystem" namespace for checking if the file system is read only. Is set to `True` if the file system is read only. Corresponding Gio File Attribute Type Constants is G_FILE_ATTRIBUTE_TYPE_BOOLEAN.
`gio.FILE_ATTRIBUTE_GVFS_BACKEND` | "gvfs::backend" A key in the "gvfs" namespace that gets the name of the current GVFS backend in use. Corresponding Gio File Attribute Type Constants is G_FILE_ATTRIBUTE_TYPE_STRING.
`gio.FILE_ATTRIBUTE_SELINUX_CONTEXT` | "selinux::context" A key in the "selinux" namespace for getting the file's SELinux context. Corresponding Gio File Attribute Type Constants is G_FILE_ATTRIBUTE_TYPE_STRING. Note that this attribute is only available if GLib has been built with SELinux support.
`gio.FILE_ATTRIBUTE_TRASH_ITEM_COUNT` | "trash::item-count" A key in the "trash" namespace. When requested against "trash:///" returns the number of (toplevel) items in the trash folder. Corresponding Gio File Attribute Type Constants is G_FILE_ATTRIBUTE_TYPE_UINT32.
`gio.FILE_ATTRIBUTE_FILESYSTEM_USE_PREVIEW` | "filesystem::use-preview" A key in the "filesystem" namespace for hinting a file manager application whether it should preview (e.g. thumbnail) files on the file system. The value for this key contain a GFilesystemPreviewType.
`gio.FILE_ATTRIBUTE_STANDARD_DESCRIPTION` | "standard::description" A key in the "standard" namespace for getting the description of the file. The description is a utf8 string that describes the file, generally containing the filename, but can also contain furter information. Example descriptions could be "filename (on hostname)" for a remote file or "filename (in trash)" for a file in the trash. This is useful for instance as the window title when displaying a directory or for a bookmarks menu. Corresponding Gio File Attribute Type Constants is G_FILE_ATTRIBUTE_TYPE_STRING.

### Gio File Attribute Type Constants

The data types for file attributes.

`gio.FILE_ATTRIBUTE_TYPE_BOOLEAN` | a boolean value.
`gio.FILE_ATTRIBUTE_TYPE_BYTE_STRING` | a zero terminated string of non-zero bytes.
`gio.FILE_ATTRIBUTE_TYPE_INT32` | a signed 4-byte/32-bit integer.
`gio.FILE_ATTRIBUTE_TYPE_INT64` | a signed 8-byte/64-bit integer.
`gio.FILE_ATTRIBUTE_TYPE_INVALID` | indicates an invalid or uninitalized type.
`gio.FILE_ATTRIBUTE_TYPE_OBJECT` | a gobject.GObject.
`gio.FILE_ATTRIBUTE_TYPE_STRING` | a null terminated UTF8 string.
`gio.FILE_ATTRIBUTE_TYPE_UINT32` | an unsigned 4-byte/32-bit integer.
`gio.FILE_ATTRIBUTE_TYPE_UINT64` | an unsigned 8-byte/64-bit integer.

### Gio File Attribute Flags Constants

Flags specifying the behaviour of an attribute.

`gio.FILE_ATTRIBUTE_INFO_NONE` | no flags set.
`gio.FILE_ATTRIBUTE_INFO_COPY_WITH_FILE` | copy the attribute values when the file is copied.
`gio.FILE_ATTRIBUTE_INFO_COPY_WHEN_MOVED` | copy the attribute values when the file is moved.

### Gio File Create Flags Constants

Flags used when an operation may create a file.

`gio.FILE_CREATE_NONE` | No flags set.
`gio.FILE_CREATE_PRIVATE` | Create a file that can only be accessed by the current user.
`gio.FILE_CREATE_REPLACE_DESTINATION` | Replace the destination as if it didn't exist before. Don't try to keep any old permissions, replace instead of following links. This is generally useful if you're doing a "copy over" rather than a "save new version of" replace operation. You can think of it as "unlink destination" before writing to it, although the implementation may not be exactly like that.

### Gio File Copy Flags Constants

Flags used when copying or moving files.

`gio.FILE_COPY_NONE` | No flags set.
`gio.FILE_COPY_OVERWRITE` | Overwrite any existing files.
`gio.FILE_COPY_BACKUP` | Make a backup of any existing files.
`gio.FILE_COPY_NOFOLLOW_SYMLINKS` | Don't follow symlinks.
`gio.FILE_COPY_ALL_METADATA` | Copy all file metadata instead of just default set used for copy (see `gio.FileInfo`).
`gio.FILE_COPY_NO_FALLBACK_FOR_MOVE` | Don't use copy and delete fallback if native move not supported.
`gio.FILE_COPY_TARGET_DEFAULT_PERMS` | Leaves target file with default perms, instead of setting the source file perms.

### Gio File Monitor Flags Constants

Flags used to set what a `gio.FileMonitor` will watch for.

`gio.FILE_MONITOR_NONE` | No flags set.
`gio.FILE_MONITOR_WATCH_MOUNTS` | Watch for mount events.

### Gio File Query Info Flags Constants

Flags used when querying a `gio.FileInfo`.

`gio.FILE_QUERY_INFO_NONE` | No flags set.
`gio.FILE_QUERY_INFO_NOFOLLOW_SYMLINKS` | Don't follow symlinks.

### Gio File Type Constants

Indicates the file's on-disk type.

`gio.FILE_TYPE_DIRECTORY` | File handle represents a directory.
`gio.FILE_TYPE_MOUNTABLE` | File is a mountable location.
`gio.FILE_TYPE_REGULAR` | File handle represents a regular file.
`gio.FILE_TYPE_SHORTCUT` | File is a shortcut (Windows systems).
`gio.FILE_TYPE_SPECIAL` | File is a "special" file, such as a socket, fifo, block device, or character device.
`gio.FILE_TYPE_SYMBOLIC_LINK` | File handle represents a symbolic link (Unix systems).
`gio.FILE_TYPE_UNKNOWN` | File's type is unknown.

### Gio Mount Mount Flags Constants

Flags used when mounting a mount.

`gio.MOUNT_MOUNT_NONE` | No flags set.

### Gio Mount Unmount Flags Constants

Flags used when unmounting a mount.

`gio.MOUNT_UNMOUNT_NONE` | No flags set.
`gio.MOUNT_UNMOUNT_FORCE` | Unmount even if there are outstanding file operations on the mount.

### Gio Mount Operation Result Constants

returned as a result when a request for information is send by the mounting operation.

`gio.MOUNT_OPERATION_HANDLED` | The request was fulfilled and the user specified data is now available.
`gio.MOUNT_OPERATION_ABORTED` | The user requested the mount operation to be aborted.
`gio.MOUNT_OPERATION_UNHANDLED` | The request was unhandled (i.e. not implemented).

### Gio Password Save Constants

is used to indicate the lifespan of a saved password.

Gvfs stores passwords in the Gnome keyring when this flag allows it to, and later retrieves it again from there.

`gio.PASSWORD_SAVE_FOR_SESSION` | save a password for the session.
`gio.PASSWORD_SAVE_NEVER` | never save a password.
`gio.PASSWORD_SAVE_PERMANENTLY` | save a password permanently.

Prev | Up | Next
gio Functions | Home | PyGio Unix Class Reference